<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="15505" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_1" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="15509"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner"/>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view contentMode="scaleToFill" id="iN0-l3-epB" customClass="IncomingTextMessageTableViewCell" customModule="Friendsta" customModuleProvider="target">
            <rect key="frame" x="0.0" y="0.0" width="364" height="94"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="muD-c6-h6Z">
                    <rect key="frame" x="-16" y="4" width="284.5" height="86"/>
                    <subviews>
                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="A friend" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="FQh-Ph-nec">
                            <rect key="frame" x="26" y="8" width="36" height="11"/>
                            <fontDescription key="fontDescription" type="system" weight="medium" pointSize="9"/>
                            <color key="textColor" red="0.0" green="0.0" blue="0.0" alpha="0.40000000000000002" colorSpace="calibratedRGB"/>
                            <nil key="highlightedColor"/>
                        </label>
                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="252" verticalHuggingPriority="252" verticalCompressionResistancePriority="749" text="Sometimes we forget that this little diversion is actually part of an ancient science" textAlignment="natural" lineBreakMode="tailTruncation" numberOfLines="0" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="kxu-RW-LsF">
                            <rect key="frame" x="26" y="23" width="248.5" height="55"/>
                            <fontDescription key="fontDescription" type="system" pointSize="14"/>
                            <nil key="textColor"/>
                            <nil key="highlightedColor"/>
                        </label>
                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="10:12 AM" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="g4o-I5-7i1">
                            <rect key="frame" x="233.5" y="9" width="41" height="11"/>
                            <fontDescription key="fontDescription" type="system" weight="medium" pointSize="9"/>
                            <color key="textColor" red="0.0" green="0.0" blue="0.0" alpha="0.40000000000000002" colorSpace="calibratedRGB"/>
                            <nil key="highlightedColor"/>
                        </label>
                    </subviews>
                    <color key="backgroundColor" red="0.93333333330000001" green="0.93333333330000001" blue="0.93333333330000001" alpha="1" colorSpace="calibratedRGB"/>
                    <constraints>
                        <constraint firstItem="FQh-Ph-nec" firstAttribute="top" secondItem="muD-c6-h6Z" secondAttribute="top" constant="8" id="1Aw-3X-SRF"/>
                        <constraint firstAttribute="trailing" secondItem="kxu-RW-LsF" secondAttribute="trailing" constant="10" id="328-lD-5XQ"/>
                        <constraint firstItem="g4o-I5-7i1" firstAttribute="leading" relation="greaterThanOrEqual" secondItem="FQh-Ph-nec" secondAttribute="trailing" constant="20" id="8FY-JU-ANm"/>
                        <constraint firstItem="FQh-Ph-nec" firstAttribute="leading" secondItem="kxu-RW-LsF" secondAttribute="leading" id="DPx-mN-Oy8"/>
                        <constraint firstAttribute="height" relation="greaterThanOrEqual" constant="36" id="E5b-wz-l2v"/>
                        <constraint firstItem="kxu-RW-LsF" firstAttribute="top" secondItem="muD-c6-h6Z" secondAttribute="top" constant="23" id="XV0-bx-MaR"/>
                        <constraint firstAttribute="bottom" secondItem="kxu-RW-LsF" secondAttribute="bottom" constant="8" id="Z8o-6L-GMF"/>
                        <constraint firstAttribute="trailing" secondItem="g4o-I5-7i1" secondAttribute="trailing" constant="10" id="iKt-BL-chf"/>
                        <constraint firstItem="kxu-RW-LsF" firstAttribute="leading" secondItem="muD-c6-h6Z" secondAttribute="leading" constant="26" id="iLT-gs-9bU"/>
                        <constraint firstItem="g4o-I5-7i1" firstAttribute="top" secondItem="muD-c6-h6Z" secondAttribute="top" constant="9" id="mJn-8V-BXM"/>
                    </constraints>
                    <userDefinedRuntimeAttributes>
                        <userDefinedRuntimeAttribute type="number" keyPath="layer.cornerRadius">
                            <integer key="value" value="4"/>
                        </userDefinedRuntimeAttribute>
                    </userDefinedRuntimeAttributes>
                </view>
            </subviews>
            <color key="backgroundColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
            <constraints>
                <constraint firstItem="vUN-kp-3ea" firstAttribute="trailing" relation="greaterThanOrEqual" secondItem="muD-c6-h6Z" secondAttribute="trailing" constant="76" id="1uq-9r-ynA"/>
                <constraint firstItem="muD-c6-h6Z" firstAttribute="leading" secondItem="vUN-kp-3ea" secondAttribute="leading" constant="-16" id="R3a-3F-K1l"/>
                <constraint firstItem="muD-c6-h6Z" firstAttribute="top" secondItem="iN0-l3-epB" secondAttribute="top" constant="4" id="VgD-yW-ixT"/>
                <constraint firstItem="vUN-kp-3ea" firstAttribute="bottom" secondItem="muD-c6-h6Z" secondAttribute="bottom" constant="4" id="dYp-vN-ptk"/>
            </constraints>
            <freeformSimulatedSizeMetrics key="simulatedDestinationMetrics"/>
            <viewLayoutGuide key="safeArea" id="vUN-kp-3ea"/>
            <connections>
                <outlet property="authorLabel" destination="FQh-Ph-nec" id="1eQ-Hy-gtr"/>
                <outlet property="cloudView" destination="muD-c6-h6Z" id="3ES-eb-URR"/>
                <outlet property="dateLabel" destination="g4o-I5-7i1" id="Lrs-uS-03A"/>
                <outlet property="messageLabel" destination="kxu-RW-LsF" id="05S-ZH-OIj"/>
            </connections>
            <point key="canvasLocation" x="131.8840579710145" y="107.8125"/>
        </view>
    </objects>
</document>
